Change log for python-ase package in Ubuntu

120 of 20 results
Published in disco-release on 2018-10-30
Published in cosmic-release on 2018-07-07
Deleted in cosmic-proposed (Reason: moved to release)
python-ase (3.16.2-1) unstable; urgency=medium

  * New upstream release
  * Drop fix-broken-ase.db.app-test.patch included upstream
  * Indicate that python3-ase breaks gpaw (<< 1.4.0~), see #895033
  * Mark python-ase-doc as Multi-Arch: foreign
  * Add dependency on python3-spglib for python3-ase (Closes: #896530)

 -- Graham Inggs <email address hidden>  Wed, 06 Jun 2018 12:59:55 +0000

Available diffs

Superseded in cosmic-release on 2018-07-07
Deleted in cosmic-proposed on 2018-07-08 (Reason: moved to release)
python-ase (3.16.0-2) unstable; urgency=medium

  * Update debian/watch
  * Fix broken ase.db.app test, thanks Daniel Watkins (Closes: #900310)
  * Bump Standards-Version to 4.1.4, no changes

 -- Graham Inggs <email address hidden>  Tue, 29 May 2018 00:26:03 +0000

Available diffs

Superseded in cosmic-proposed on 2018-05-29
python-ase (3.16.0-1) unstable; urgency=medium

  * New upstream release
  * Update Vcs-* URIs for move to salsa.debian.org
  * Update debian/copyright
  * Turn debhelper up to 11
  * Regenerate manpage
  * Bump Standards-Version to 4.1.3, no changes

 -- Graham Inggs <email address hidden>  Tue, 03 Apr 2018 12:24:35 +0000
Superseded in cosmic-release on 2018-05-30
Published in bionic-release on 2017-11-09
Deleted in bionic-proposed (Reason: moved to release)
python-ase (3.15.0-1) unstable; urgency=medium

  * New upstream release
  * Update debian/watch
  * Drop update-desktop.patch, included upstream
  * Regenerate manpage
  * Remove trailing whitespace from debian/changelog, thanks Lintian!
  * Bump Standards-Version to 4.1.1, no changes

 -- Graham Inggs <email address hidden>  Tue, 31 Oct 2017 16:09:23 +0000

Available diffs

Superseded in bionic-release on 2017-11-09
Published in artful-release on 2017-07-08
Deleted in artful-proposed (Reason: moved to release)
python-ase (3.14.1-2) unstable; urgency=medium

  * Add dependency on python3-pkg-resources
  * Remove VCS control file from python-ase-doc, thanks Lintian!
  * Update ase-gui.desktop
  * Drop old /usr/bin/ase-* scripts

 -- Graham Inggs <email address hidden>  Sat, 08 Jul 2017 12:39:14 +0200
Superseded in artful-proposed on 2017-07-08
python-ase (3.14.1-1ubuntu1) artful; urgency=medium

  * Add python3-pkg-resources dependency missing from
    containerized test runners (armhf and s390x)

 -- Graham Inggs <email address hidden>  Fri, 07 Jul 2017 22:28:04 +0200
Superseded in artful-proposed on 2017-07-07
python-ase (3.14.1-1) unstable; urgency=medium

  * New upstream release
  * Drop fix-typo.patch, included upstream
  * Regenerate manpages, add new manpage for /usr/bin/ase
  * Add debian/clean
  * Add Build-Depends on {python,python3}-setuptools
  * Fix privacy breach: use Debian packages of jquery,
    jquery-ui, bootstrap and font-awesome instead of
    fetching data from external websites
  * Update build-time tests
  * Update autopkgtest, run for python3 only
  * Update debian/copyright

 -- Graham Inggs <email address hidden>  Thu, 06 Jul 2017 17:23:59 +0200

Available diffs

Superseded in artful-release on 2017-07-08
Deleted in artful-proposed on 2017-07-10 (Reason: moved to release)
python-ase (3.13.0-2) unstable; urgency=medium

  * Update debian/copyright (Closes: #860938)
  * Add autopkgtest dependency on ase, needed by test/db.py
  * Fix typo in ase/db/cli.py and man/ase-db.1, thanks Lintian!
  * Use DEB_VERSION_UPSTREAM instead of dpkg-parsechangelog
  * Bump Standards-Version to 4.0.0, no further changes

 -- Graham Inggs <email address hidden>  Mon, 19 Jun 2017 14:14:25 +0200
Superseded in artful-release on 2017-06-20
Deleted in artful-proposed on 2017-06-22 (Reason: moved to release)
python-ase (3.13.0-1ubuntu1) artful; urgency=medium

  * Let autopkgtests depend on ase, needed by test/db.py

 -- Graham Inggs <email address hidden>  Wed, 26 Apr 2017 13:41:20 +0200
Superseded in artful-release on 2017-04-26
Deleted in artful-proposed on 2017-04-27 (Reason: moved to release)
python-ase (3.13.0-1) experimental; urgency=medium

  * New upstream release.
  * Regenerate manpages.
  * Drop numpy1.12.patch, included upstream.
  * Switch to debhelper 10.
  * Ship new python3 ase-gui, recommend {python,python3}-tk
    instead of python-gtk2.
  * Update debian/copyright.
  * Install the icon in the correct location for AppStream.
  * Ship executable scripts in new 'ase' package.
  * Add autopkgtest.

 -- Graham Inggs <email address hidden>  Fri, 21 Apr 2017 13:39:28 +0200

Available diffs

Superseded in artful-release on 2017-04-23
Obsolete in zesty-release on 2018-06-22
Deleted in zesty-proposed on 2018-06-22 (Reason: moved to release)
python-ase (3.12.0-2) unstable; urgency=medium

  * Fix FTBFS with NumPy 1.12 (Closes: #848744)

 -- Graham Inggs <email address hidden>  Sat, 24 Dec 2016 16:20:40 +0200

Available diffs

Superseded in zesty-release on 2016-12-25
Deleted in zesty-proposed on 2016-12-26 (Reason: moved to release)
python-ase (3.12.0-1) unstable; urgency=medium

  * New upstream release.
  * Regenerate manpages.

 -- Graham Inggs <email address hidden>  Mon, 31 Oct 2016 17:40:37 +0200

Available diffs

Superseded in zesty-release on 2016-11-02
Obsolete in yakkety-release on 2018-01-23
Deleted in yakkety-proposed on 2018-01-23 (Reason: moved to release)
python-ase (3.11.0-1) unstable; urgency=medium

  * New upstream release.
  * Update debian/watch for move to GitLab.
  * Drop numpy-1.10-compatibility.patch, included upstream.
  * Use secure URI for Vcs-Git field.
  * Update debian/docs.
  * Documentation is no longer installed by setup.py,
    so use debian/python-ase-doc.install instead.
  * Install PNG instead of XPM icon.
  * Regenerate manpages.
  * Add build dependencies on {python,python3}-scipy,
    bump from Recommends to Depends.
  * Update PYBUILD_TEST_ARGS for new test runner.
  * Bump Standards-Version to 3.9.8, no further changes.

 -- Graham Inggs <email address hidden>  Tue, 31 May 2016 14:57:32 +0200

Available diffs

Superseded in yakkety-release on 2016-06-01
Published in xenial-release on 2016-02-27
Deleted in xenial-proposed (Reason: moved to release)
python-ase (3.9.1.4567-3) unstable; urgency=medium

  * Fix build with NumPy >= 1.10, thanks Ask. (Closes: #810903)

 -- Graham Inggs <email address hidden>  Thu, 25 Feb 2016 18:18:14 +0200
Superseded in xenial-proposed on 2016-02-27
python-ase (3.9.1.4567-2build1) xenial; urgency=medium

  * No change rebuild to drop python3.4 support.

 -- Dimitri John Ledkov <email address hidden>  Tue, 16 Feb 2016 14:44:20 +0000
Deleted in xenial-release on 2016-02-16 (Reason: demote python-ase (still depending on python3.4) and gpaw...)
Deleted in xenial-proposed on 2016-02-16 (Reason: moved to release)
python-ase (3.9.1.4567-2) unstable; urgency=medium

  * Update my email address.
  * Drop db-test.patch, set PATH in d/rules to run db tests during build.
  * Build a python3 package, separate documentation package.
  * Force LC_ALL=C.UTF-8 for the tests, thanks jodal and tumbleweed.

 -- Graham Inggs <email address hidden>  Mon, 28 Dec 2015 22:52:14 +0200

Available diffs

Superseded in xenial-release on 2016-01-05
Obsolete in wily-release on 2018-01-22
Deleted in wily-proposed on 2018-01-22 (Reason: moved to release)
python-ase (3.9.1.4567-1) unstable; urgency=medium

  * New upstream release.
  * Change maintainer to Debichem Team, add myself to uploaders
    (with Ask Hjorth Larsen's blessing).
  * Add Vcs-* fields.
  * Drop fix_optionparser_error_arguments.patch included upstream.
  * Install .desktop file and icon for ase-gui.
  * Update debian/copyright, use templates from dh-make.
  * Fix executable-not-elf-or-script Lintian warning.
  * Add Build-Depends on python-numpy, new db-test.patch
    and enable setup.py tests (thanks Stefano Rivera).
  * Add generate-manpages custom target to debian/rules.
  * Regenerate manpages.

 -- Graham Inggs <email address hidden>  Fri, 24 Jul 2015 10:36:34 +0200

Available diffs

Superseded in wily-release on 2015-07-25
Obsolete in vivid-release on 2018-01-18
Deleted in vivid-proposed on 2018-01-19 (Reason: moved to release)
python-ase (3.8.1.3440-0.1) unstable; urgency=medium


  * Non-maintainer upload.
  * New upstream release. (Closes: #736055)
  * File names no longer conflict with silversearcher-ag. (Closes: #717989)
  * Dropped old patches and outdated README.Debian.
  * Moved suggested to recommended packages, as recommended by upstream.
  * Changed copyright to machine-readable format.
  * Regenerated manpages by help2man.
  * Added watch file.

 -- Reiner Herrmann <email address hidden>  Fri, 26 Sep 2014 21:42:09 +0200

Available diffs

Superseded in vivid-release on 2014-11-01
Obsolete in utopic-release on 2016-11-03
Published in trusty-release on 2013-10-18
Obsolete in saucy-release on 2015-04-24
Deleted in saucy-proposed (Reason: moved to release)
python-ase (3.6.0.2515-1.1) unstable; urgency=low


  * Non-maintainer upload.
  * Convert to dh_python2. (Closes: #708890) 

 -- Andrea Colangelo <email address hidden>  Wed, 03 Jul 2013 00:06:23 +0200

Available diffs

Superseded in saucy-release on 2013-07-14
Obsolete in raring-release on 2015-04-24
Obsolete in quantal-release on 2015-04-24
python-ase (3.6.0.2515-1) unstable; urgency=low


  * Initial upload (Closes: #602126).

 -- Ask Hjorth Larsen <email address hidden>  Sun, 27 May 2012 02:32:46 +0200
120 of 20 results